Bug 495022 - Xorg fails to start with nouveau driver on a GeForce Go 7900GS
Xorg fails to start with nouveau driver on a GeForce Go 7900GS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 03:03 EDT by Tobias Stadler
Modified: 2009-05-16 04:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-16 04:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (38.48 KB, text/plain)
2009-04-09 03:06 EDT, Tobias Stadler
no flags Details
Xorg.0.log (9.90 KB, text/plain)
2009-04-09 03:10 EDT, Tobias Stadler
no flags Details
Xorg.0.log with a display connected via VGA (22.72 KB, application/octet-stream)
2009-04-20 04:09 EDT, Tobias Stadler
no flags Details
Xorg.0.log with a display connected via VGA (22.88 KB, text/plain)
2009-04-20 04:19 EDT, Tobias Stadler
no flags Details
Xorg file from F11 after latest updates (22.95 KB, text/plain)
2009-05-07 20:36 EDT, pgaltieri
no flags Details
(working) dmesg output (38.32 KB, text/plain)
2009-05-15 08:45 EDT, Tobias Stadler
no flags Details
(working) Xorg.0.log (29.64 KB, text/plain)
2009-05-15 08:45 EDT, Tobias Stadler
no flags Details

  None (edit)
Description Tobias Stadler 2009-04-09 03:03:59 EDT
Description of problem:
I got a Toshiba Satellite Pro P100 439 notebook with a GeForce Go 7900 GS graphics card. When I try to start the X server (runlevel 5 or startx on console) with the nouveau drive, it "crashes". I did not test nv, but it works with the vesa driver. It also used to work some time ago (e.g. Fedora 11 Alpha), but I don't know when it stopped working.

Version-Release number of selected component (if applicable):
kernel: 2.6.29.1-54.fc11
xorg-x11-server-Xorg: 1.6.0-17.fc11
xorg-x11-drv-nouveau: 1:0.0.12-24.20090408git960a5c8.fc11


How reproducible:
Start X Toshiba Satellite Pro P100 439
  
Actual results:
Xorg crashes on start up

Expected results:
To see the login manager

Additional info:
Comment 1 Tobias Stadler 2009-04-09 03:06:17 EDT
Created attachment 338865 [details]
dmesg output
Comment 2 Tobias Stadler 2009-04-09 03:10:15 EDT
Created attachment 338868 [details]
Xorg.0.log
Comment 3 Adam Williamson 2009-04-17 16:46:59 EDT
Looks like it can't find any attached display, from the Xorg log. Over to you, Ben.
Comment 4 Tobias Stadler 2009-04-20 04:07:45 EDT
The notebook has a vga and dvi output. Connecting a Samsung SyncMaster T240 via dvi has no influence, but connecting the display via vga freezes the system. See the attached Xorg log.

With regards
Tobias Stadler
Comment 5 Tobias Stadler 2009-04-20 04:09:01 EDT
Created attachment 340296 [details]
Xorg.0.log with a display connected via VGA
Comment 6 Tobias Stadler 2009-04-20 04:19:41 EDT
Created attachment 340297 [details]
Xorg.0.log with a display connected via VGA
Comment 7 pgaltieri 2009-05-07 20:36:18 EDT
Created attachment 342956 [details]
Xorg file from F11 after latest updates

After installing the latest updates to F11 the X server crashes.  I have attached the Xorg log file.  In /var/log/messages I get

Latest nouveau driver crashes on my laptop.  This was working fine yesterday, but after installing the latest updates to F11 the X server crashes.  This was working fine yesterday.

/var/log/messages shows:

May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: Allocating FIFO number 0
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 0
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: Allocating FIFO number 1
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 1
May  7 17:11:11 peglaptop10 kernel: Xorg[5010]: segfault at 1d1 ip 0000003038211137 sp 00007fff979dc940 error 4 in libgcc_s-4.4.0-20090427.so.1[3038200000+1a000]
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 1
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 0
May  7 17:11:11 peglaptop10 gdm-binary[4924]: WARNING: GdmDisplay: display lasted 0.813662 seconds
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: Allocating FIFO number 0
May  7 17:11:11 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 0
May  7 17:11:12 peglaptop10 kernel: nouveau 0000:01:00.0: Allocating FIFO number 1
May  7 17:11:12 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 1
May  7 17:11:12 peglaptop10 kernel: Xorg[5022]: segfault at 1d1 ip 0000003038211137 sp 00007ffff54b5400 error 4 in libgcc_s-4.4.0-20090427.so.1[3038200000+1a000]
May  7 17:11:12 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 1
May  7 17:11:12 peglaptop10 kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 0
May  7 17:11:12 peglaptop10 gdm-binary[4924]: WARNING: GdmDisplay: display lasted 0.558859 seconds
May  7 17:11:12 peglaptop10 gdm-binary[4924]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
May  7 17:11:12 peglaptop10 init: prefdm main process (4924) terminated with status 1
May  7 17:11:12 peglaptop10 init: prefdm main process ended, respawning
May  7 17:11:12 peglaptop10 init: prefdm respawning too fast, stopped

lspci shows:
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G72GL [Quadro FX 350M] (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
Comment 8 Ben Skeggs 2009-05-07 20:44:45 EDT
(In reply to comment #7)
> Created an attachment (id=342956) [details]
> Xorg file from F11 after latest updates
> 
> After installing the latest updates to F11 the X server crashes.  I have
> attached the Xorg log file.  In /var/log/messages I get
> 
> Latest nouveau driver crashes on my laptop.  This was working fine yesterday,
> but after installing the latest updates to F11 the X server crashes.  This was
> working fine yesterday.
This has been fixed already, and xorg-x11-server-Xorg update broke all versions prior to -34.  Btw, why are you commenting in this bug?!
Comment 9 Tobias Stadler 2009-05-15 07:41:01 EDT
Seems to work now.

Thank you for the work
Tobias Stadler
Comment 10 Tobias Stadler 2009-05-15 08:45:13 EDT
Created attachment 344141 [details]
(working) dmesg output
Comment 11 Tobias Stadler 2009-05-15 08:45:52 EDT
Created attachment 344142 [details]
(working) Xorg.0.log
Comment 12 Adam Williamson 2009-05-15 13:50:14 EDT
Ben, is that what you're expecting? :)
Comment 13 Ben Skeggs 2009-05-16 04:15:08 EDT
No actually, but I'll take it :)

Thanks!

Note You need to log in before you can comment on or make changes to this bug.